@LICENCE@

#include "@EXTENSIONCLASSNAME@.h"

// include the viewer header
#include "@VIEWERCLASSNAME@.h"

// --------------- init -------------------
void @EXTENSIONCLASSNAME@::init() {
@IF_DEFAULTVIEWER@
    // register the default viewer
    registerDefaultViewer(@VIEWERCLASSNAME@);
@ENDIF_DEFAULTVIEWER@

@IF_NAMEDVIEWER@
    //-- named viewer
    @BEGIN_REGISTERVIEWERS@
    registerNewViewer(@VIEWERCLASSNAME@, "@VIEWERNAME@");
    @END_REGISTERVIEWERS@    
@ENDIF_NAMEDVIEWER@
}

